#version 120

#define ENABLE_WAVING 1  // Set to 1 to enable waving effects, 0 to disable

varying vec2 lmcoord;
varying vec4 color;
varying float mat;
varying vec2 texcoord;
varying vec3 normal;

uniform sampler2D texture;
uniform int waveToggle; // Added to match the vertex shader

void main() {
    vec2 adjustedTexCoord = texcoord;

    vec4 c = mix(color, vec4(1.0), float(mat > 0.58 && mat < 0.62));

    /* DRAWBUFFERS:04 */
    gl_FragData[0] = texture2D(texture, texcoord) * c;
    gl_FragData[1] = vec4(lmcoord.t, mat, lmcoord.s, 1.0);
}
